﻿@inherits LayoutComponentBase

<MudThemeProvider />
<MudDialogProvider />
<MudSnackbarProvider />

<MudLayout>
    <MudAppBar Elevation="1" Style="@($"background:{Colors.DeepPurple.Darken4};")">
        <MudIcon Icon="@Icons.Material.Filled.EditCalendar" Style="@($"color:{Colors.DeepPurple.Lighten4};")" />

        <MudLink Href="/">
            <MudText Class="ml-3" Typo="Typo.h6" Style="@($"color:{Colors.DeepPurple.Lighten4};")"><b>Hotel Reservations</b></MudText>
        </MudLink>

        <MudSpacer />

        <MudLink Href="reservation">
            <MudIconButton Icon="@Icons.Material.Filled.FiberNew" Style="@($"color:{Colors.DeepPurple.Lighten4};")" Edge="Edge.End" />
        </MudLink>

        <AuthorizeView>
            <Authorized>
                <MudLink Href="employeeviewreservations">
                    <MudIconButton Icon="@Icons.Material.Filled.PersonSearch" Style="@($"color:{Colors.DeepPurple.Lighten4};")" Edge="Edge.End" />
                </MudLink>
                <MudItem>
                    <form action="Account/Logout" method="post">
                        <AntiforgeryToken />
                        <input type="hidden" name="ReturnUrl" value="" />
                        <MudIconButton ButtonType="ButtonType.Submit" Icon="@Icons.Material.Filled.Close" Style="@($"color:{Colors.DeepPurple.Lighten4};")" />
                    </form>
                </MudItem>
            </Authorized>
            <NotAuthorized>
                <MudLink Href="view">
                    <MudIconButton Icon="@Icons.Material.Filled.Search" Style="@($"color:{Colors.DeepPurple.Lighten4};")" Edge="Edge.End" />
                </MudLink>
                <MudLink Href="Account/Login">
                    <MudIconButton Icon="@Icons.Material.Filled.Person" Style="@($"color:{Colors.DeepPurple.Lighten4};")" Edge="Edge.End" />
                </MudLink>
            </NotAuthorized>
        </AuthorizeView>
    </MudAppBar>
    <MudMainContent Class="ma-8">
        @Body
    </MudMainContent>
</MudLayout>

<div id="blazor-error-ui">
    An unhandled error has occurred.
    <a href="" class="reload">Reload</a>
    <a class="dismiss">🗙</a>
</div>